### Method

# Gimp Metadata duplicate

since: 2.10

#### Declaration [src]

    GimpMetadata*
    gimp_metadata_duplicate (
      GimpMetadata* metadata
    )

#### Description [src]

Duplicates a `GimpMetadata` instance.

Available since: 2.10

#### Return value

Type: `GimpMetadata`

              The new `GimpMetadata`, or `NULL` if `metadata` is `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.